lpstat(1)

NOME
lpstat - escreve informação de estado do cups

RESUMO
lpstat [ -h hostname[:port] ] [ -E ] [ -H ] [ -U username ] [ -l ] [ -W which-jobs ] [ -a [ destination(s) ] ] [ -c [ class(es) ] ] [ -d ] [ -e ] [ -o [ destination(s) ] ] [ -p [ printer(s) ] ] [ -r ] [ -R ] [ -s ] [ -t ] [ -u [ user(s) ] ] [ -v [ printer(s) ] ]

DESCRIÇÃO
lpstat mostra informação de estado acerca de classes, trabalhos e impressoras actuais. Quando corre sem argumentos, o lpstat lista trabalhos activos postos em fila pelo utilizador actual.

OPÇÕES
O comando lpstat suporta as seguintes opções:

-E  Força encriptação ao ligar ao servidor.

-H  Mostra o nome-de-máquina e porto do servidor.

-R  Mostra a classificação dos trabalhos de impressão.

-U username
    Especifica um nome de utilizador alternativo.

-W which-jobs
    Specifies which jobs to show, "all", "successful", "completed" or "not-completed" (the default). This option must appear before the -o option and/or any printer names, otherwise the default ("not-completed") value will be used in the request to the scheduler.

-a [printer(s)]
    Mostra o estado de aceitação das filas de impressão. Se nenhuma impressora for especificada então são listadas todas as impressoras.

-c [class(es)]
    Mostra as classes de impressoras e as impressoras que lhes pertencem. Se nenhuma classe for especificada então são listadas todas as classes.

-d  Mostra o destino predefinido actual.

-e  Mostra todos os destinos disponíveis na rede local.

-h server[:port]
    Especifica um servidor alternativo. Nota: Esta opção tem de ocorrer antes de todas as outras.

-l  Mostra uma listagem longa de impressoras, classes ou trabalhos.

-o [destination(s)]
    Mostra os trabalhos em lista no destino especificado. Se nenhum destino for especificado então são mostrados todos os trabalhos.

-p [printer(s)]
    Mostra as impressoras e se estão activas para impressão. Se nenhuma impressora for especificada então são listadas todas as impressoras.

-r  Mostra se o servidor CUPS está a correr.

-s  Mostra um sumário de estado, incluindo o destino predefinido, uma lista de classes e suas impressoras membro, e uma lista de impressoras e os seus dispositivos associados. Isto é equivalente a usar as opções -d, -c, e -v.

-t  Mostra todas as informações de estado. Isto é equivalente a usar as opções -r, -d, -c, -v, -a, -p, e -o.

-u [user(s)]
    Mostra uma lista de trabalhos de impressão colocados em fila pelo utilizador especificado. Se nenhum utilizador for especificado, lista os trabalhos em fila do utilizador actual.

-v [printer(s)]
    Mostra as impressoras e a quais dispositivos estão anexadas. Se não forem especificadas impressoras então são listadas todas as impressoras.

DE ACORDO COM
A contrário do sistema de impressão System V, o CUPS permite que nomes de impressoras contenham qualquer caractere imprimível excepto ESPAÇO, TAB, "/", e "#". Também, os nomes de impressoras e classes não são sensíveis a maiúsculas/minúsculas.

As opções -h, -e, -E, -U, e -W são únicas do CUPS.

As opções Solaris -f, -P, e -S são ignoradas em silêncio.

VEJA TAMBÉM
cancel(1), lp(1), lpq(1), lpr(1), lprm(1), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.